Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout
Class UserLayoutManagerFactory

    java.lang.Object
      org.jasig.portal.layout.UserLayoutManagerFactory

    public class UserLayoutManagerFactory

extends java.lang.Object

A factory class for obtaining `IUserLayoutManager` implementations.

Version:
  1.0
Author:
  Peter Kharchenko

Field Summary
`private static java.lang.Class` | `coreUserLayoutManagerImpl`
`private static org.apache.commons.logging.Log` | `LOG`

Constructor Summary
`UserLayoutManagerFactory()`

Method Summary
`static IUserLayoutManager` | `getUserLayoutManager(IPerson person, UserProfile profile)` Obtain a regular user layout manager implementation
`static IUserLayoutManager` | `immutableUserLayoutManager(IUserLayoutManager man)` Returns an immutable version of a user layout manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    private static final org.apache.commons.logging.Log LOG

### coreUserLayoutManagerImpl

    private static java.lang.Class coreUserLayoutManagerImpl

Constructor Detail

### UserLayoutManagerFactory

    public UserLayoutManagerFactory()

Method Detail

### getUserLayoutManager

    public static IUserLayoutManager getUserLayoutManager(IPerson person,
                                                          UserProfile profile)
                                                   throws PortalException

  Obtain a regular user layout manager implementation

  Returns:
    an `IUserLayoutManager` value
  Throws:
    `PortalException`

### immutableUserLayoutManager

    public static IUserLayoutManager immutableUserLayoutManager(IUserLayoutManager man)
                                                         throws PortalException

  Returns an immutable version of a user layout manager.

  Parameters:
    `man` - an `IUserLayoutManager` value
  Returns:
    an immutable `IUserLayoutManager` value
  Throws:
    `PortalException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD